$breakpoints: (
    extra-small-device: 400px,
    small-device: 576px,
    medium-device: 768px,
    large-device: 992px,
    extra-large-device: 1200px
);
@mixin xs-screen {
    @media all and (max-width:map-get($breakpoints, extra-small-device)) {
        @content;
    }
}
@mixin sm-screen {
    @media all and (max-width:map-get($breakpoints, small-device)) {
        @content;
    }
}
@mixin md-screen {
    @media all and (min-width:map-get($breakpoints, medium-device)) {
        @content;
    }
}
@mixin lg-screen {
    @media all and (min-width:map-get($breakpoints, large-device)) {
        @content;
    }
}
@mixin xl-screen {
    @media all and (min-width:map-get($breakpoints, extra-large-device)) {
        @content;
    }
}
